Response Codes

An overview of the response codes returned by the RentCast API.

Our API uses standard HTTP/REST response status codes, which conform to the RFC 9110 specification.

Below is an overview of the most common HTTP status codes you may receive when making your API requests:

CodeTypeDescription
200✅  SuccessIndicates a successful request. The body of the response will contain the data requested from the API
400❌  Invalid parametersIndicates that some of the request parameters were missing, invalid or improperly formatted. The body of the response will contain information about which parameters caused this error
401❌  Auth errorIndicates an authentication error with your request. Check that you are providing a valid API key in the X-Api-Key request header
403❌  Request forbiddenIndicates that the API request was denied due to API key restrictions or a billing issue. Check your API key restriction settings, confirm that you have an active API subscription, and make sure there are no billing issues with your account displayed on your API dashboard
404❌  No resultsIndicates that no data or records were available that matched your query parameters. Try modifying some of the query parameters and retrying the request
405❌  Method not allowedIndicates that the particular endpoint doesn't support the method of the request. All of our API endpoints only support the GET HTTP method
429❌  Rate limit errorIndicates that you are making too many requests and you’ve reached the request rate limit, which is a maximum of 20 requests per second, per API key. Try throttling your requests or creating separate API keys for each of your applications if you frequently exceed this limit
500❌  Server errorIndicates an internal server error, which prevented the server from processing your request. You can retry the request, or contact us and let us know about this issue
504❌  Timeout errorIndicates that the server timed out and could not process your request in time. You can retry the request with a different set of query parameters, or contact us and let us know about this issue

Below is an example error response with a 400 HTTP status code returned by our API:

{
  "status": 400,
  "error": "resource/bad-request",
  "message": "The provided address '1234 Main St' could not be parsed or geolocated"
}